cURL
curl --request GET \
--url https://platform.thena.ai/v1/comments/{commentId}/threads \
--header 'x-api-key: <api-key>'import requests
url = "https://platform.thena.ai/v1/comments/{commentId}/threads"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://platform.thena.ai/v1/comments/{commentId}/threads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Success",
"timestamp": "2024-01-01T00:00:00.000Z",
"data": [
{
"id": "<string>",
"content": "<string>",
"contentHtml": "<string>",
"contentJson": "<string>",
"contentMarkdown": "<string>",
"isEdited": true,
"threadName": "<string>",
"commentVisibility": "<string>",
"commentType": "<string>",
"isPinned": true,
"sourceEmailId": "<string>",
"metadata": {},
"parentCommentId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"author": "<string>",
"authorId": "<string>",
"authorUserType": "<string>",
"customerContactId": "<string>",
"customerContactEmail": "<string>",
"customerContactFirstName": "<string>",
"customerContactLastName": "<string>",
"customerContactAvatarUrl": "<string>",
"authorAvatarUrl": "<string>",
"impersonatedUserEmail": "<string>",
"impersonatedUserName": "<string>",
"impersonatedUserAvatar": "<string>",
"attachments": [
"<string>"
],
"deletedAt": "<string>"
}
]
}{
"statusCode": 401,
"message": "Unauthorized",
"error": "Unauthorized"
}{
"statusCode": 403,
"message": "This feature is only available for standard and enterprise tier organizations",
"error": "Forbidden"
}{
"statusCode": 404,
"message": "Comment not found!",
"error": "Not Found"
}{
"statusCode": 429,
"message": "Too Many Requests",
"error": "Too Many Requests"
}{
"statusCode": 500,
"message": "Something went wrong!",
"error": "Internal Server Error"
}{
"statusCode": 503,
"message": "Service Unavailable",
"error": "Service Unavailable"
}Comments
Get comment threads
GET
/
v1
/
comments
/
{commentId}
/
threads
cURL
Authorizations
Enter your API key
Path Parameters
Response
Operation successful
⌘I